// JavaScript Document

    //绑定Email模板
    function BindAllTeam()
    {
        var objAjax=new JAjax();
	    var objResponse=new JHttpResponse();
    	objResponse.write("toUser","");	
    	var out=objAjax.getText("post","SpoolerPage.aspx?type=getTeampName",objResponse,null);
    	if(out!=null&&out!="")
    	{     
    	      var str=out.split(c2);
              var sel=document.getElementById("TName");
              while((sel.length)>1)
              sel.remove(1);
              for(var i=0;i<str.length-1;i++)
              {
                  var Every=str[i].split(c1);
                  var varItem = new Option(Every[1], Every[0]);      
                  sel.options.add(varItem);
              }
            sel.onmouseover="";
         }
    }
    //选择模板
    function selectTemp(obj)
    {
         var sID=obj.id;
         var stemp=document.getElementById(sID);
         var ID=null;
         var selName=null;
          for(var i=0;i<stemp.length;i++){
            if(stemp[i].selected==true){
              ID=stemp[i].value; 
              selName=stemp[i].innerText;
              document.getElementById("dd").value=0;
            }
         }
         if(ID>0)
         {
          document.getElementById("dd").value=ID;//获取选中的模板编号
         }
     }
     //选择选项卡,设置相应的值
     function ShowTabs(obj)
     {
        
        var ID=obj;
        //敬爱那个全部的表隐藏
        for(var i=0;i<4;i++)
        {
          var sID="Table"+i;
          document.getElementById(sID).style.display="none";
        }
        if(ID==0)
        {
           document.getElementById("Table0").style.display="block";
           //读取用户组
           var objAjax=new JAjax();
	       var objResponse=new JHttpResponse();
	       objResponse.write("toUser","");	
    	   var out=objAjax.getText("post","SpoolerPage.aspx?type=getUserGroup",objResponse,null);
    	   if(out!=""||out!=null)
    	   {
    	      str="";
    	      var splitOne=out.split(c2);
    	      for(var j=0;j<splitOne.length-1;j++)
    	      {
    	        var splitTwo=splitOne[j].split(c1);
    	        if(j==0)
    	        {
    	        str+="<input value="+splitTwo[0]+" type='radio' title="+splitTwo[1]+" checked='checked' name='che' />"+splitTwo[1];
    	        }
    	        else
    	        {
    	        str+="<input value="+splitTwo[0]+" type='radio' title="+splitTwo[1]+" name='che'/>"+splitTwo[1];
    	        }
    	      }
    	      document.getElementById("setGroup").innerHTML=str;
    	   }
        }
        if(ID==1)
        {
         document.getElementById("Table1").style.display="block";
        }
        if(ID==2)
        {
         document.getElementById("Table2").style.display="block";
        }
        if(ID==3)
        {
         document.getElementById("Table3").style.display="block";
        }
     }
      //选择收信人
     function SelectUserInfo()
     {
       var getTxt=showModalDialog("./userList.aspx",window,"dialogWidth:800px; dialogHeight:650px; toolbar=no;location=no;directories=no;status=no;menubar=no;scroll=auto;resizable=0;help=0");
       if(getTxt!=undefined)
       {
          document.getElementById("Muser").value=getTxt;
       }
     }
     //发送邮件
     function checkNull(obj)
     {
       var ID=obj;
       var tempID=document.getElementById("dd").value;
       if(tempID==null||tempID==""||tempID==0)
       {
            alert("请选择要使用的邮件模板");
            return;
       }
       alert(obj)
       
       //发送给指定用户组用户
       if(obj==1)
       {
          //获取选中组的ID查找出用户编号
          var dx=document.getElementsByName("che");
          for(var i=0;i<dx.length;i++)
          {
            if(dx[i].checked==true)
            {
                var index=dx[i].value;
                if(index==""||index==null)
                {
                  alert("请选择用户组");
                  return;
                }
                else
                {
                    var objAjax=new JAjax();
	                var objResponse=new JHttpResponse();
    	            objResponse.write("GroupID",index);	
    	            objResponse.write("tempID",tempID);	
    	            var out=objAjax.getText("post","SpoolerPage.aspx?type=sendEmailByGroup",objResponse,null);
    	            if(out==1)
    	            {
    	              alert("发送成功");
    	              return;
    	            }
    	            else if(out==8)
                    {
                      alert("当前没有符合条件的用户");
                      return;
                    }
    	            else
    	            {
    	             alert("发送失败,请在网站后台的系统设置检查你的邮件配置是否正确");
    	             return;
    	            }
                }  
            }
          }
       }
       //发送给指定用户
       if(obj==2)
       {
          var txt=document.getElementById("Muser").value;
          if(txt==""||txt==null)
          {
            alert("请指定用户");
            return;
          }
          var objAjax=new JAjax();
          var objResponse=new JHttpResponse();
          objResponse.write("userList",txt);
          objResponse.write("tempID",tempID);	
          var out=objAjax.getText("post","SpoolerPage.aspx?type=sendEmailByUser",objResponse,null);
          if(out==1)
          {
            alert("发送成功");
            return;
          }
          else if(out==8)
            {
              alert("当前没有符合条件的用户");
              return;
            }
          else
          {
           alert("发送失败,请在网站后台的系统设置检查你的邮件配置是否正确");
           return;
          }
       }
       //发送给位未登陆用户
       if(obj==3)
       {
       
            var txt=document.getElementById("NDay").value;
            if(txt==""||txt==null)
            {
              alert("请指定天数")
              return;
            }
            var objAjax=new JAjax();
            var objResponse=new JHttpResponse();
            objResponse.write("TimeNum",txt);
            objResponse.write("tempID",tempID);	
            var out=objAjax.getText("post","SpoolerPage.aspx?type=sendEmailByNoLogin",objResponse,null);
            if(out==1)
            {
              alert("发送成功");
              return;
            }else if(out==8)
            {
              alert("当前没有符合条件的用户");
              return;
            }
            else
            {
            alert("发送失败,请在网站后台的系统设置检查你的邮件配置是否正确");
            return;
            }
       }
       //发给全部用户
       if(obj==4)
       {
            var objAjax=new JAjax();
            var objResponse=new JHttpResponse();
            objResponse.write("tempID",tempID);	
            var out=objAjax.getText("post","SpoolerPage.aspx?type=sendEmailByAll",objResponse,null);
            if(out==1)
            {
              alert("发送成功");
              return;
            }
            else if(out==8)
            {
              alert("当前没有符合条件的用户");
              return;
            }
            else
            {
            alert("发送失败,请在网站后台的系统设置检查你的邮件配置是否正确");
            return;
            }
       }
     }